import type { RouteRecordRaw } from 'vue-router'

const CheckListMap = {
  show: '查看界面',
  export: '导出',
  import: '导入',
  add: '添加',
  delete: '删除',
  edit: '编辑',
  detail: '详情',
  audit: '审核'
}
type BtnKey = 'show' | 'export' | 'import' | 'add' | 'delete' | 'edit' | 'detail' | 'audit'

interface RouteRecordRawWithMeta extends RouteRecordRaw {
  meta: {
    hidden: boolean,
    breadcrumb?: boolean,
    sort: number,
    title?: string,
    selected?: string,
    subTitle?: string,
    icon?: string,
    show?: boolean
    roles?: string[]
    checkList?: BtnKey[]
  },
  children?: RouteRecordRawWithMeta[],
  name: string
  [key: string]: unknown
}
