import type {RouteRecordRawWithMeta} from '../../routes'

export default <RouteRecordRawWithMeta>{
    path: '/reset_pwd_index',
    component: () => import('@/components/CommonHeader/index_bak.vue'),
    name: 'reset_pwd_index',
    meta: {
        hidden: true,
        title: '认证',
        sort: 0,
        breadcrumb: false,
    },
    redirect: {name: 'reset_pwd_index'},
    children: [{
        path: 'auth',
        component: () => import('@/pages/auth.vue'),
        name: 'reset_auth',
        meta: {
            hidden: true,
            title: '身份认证',
            sort: 0,
        },
    },{
        path: 'reset',
        component: () => import('@/pages/reset_pwd.vue'),
        name: 'reset',
        meta: {
            hidden: true,
            title: '重置密码',
            sort: 0,
        },
    }]
}
