import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
  path: '/jsd',
  component: () => import('@/components/CommonHeader/index.vue'),
  name: 'jsd_wddz_head',
  meta: {
    hidden: true,
    sort: 1,
    title: '教师端',
    breadcrumb: false,
  },
  redirect: { name: 'jsd_personal_wddz_index' },
  children: [
    {
      path: 'person',
      component: () => import('@/pages/jsd/personal/index.vue'),
      name: 'jsd_personal_wddz_index',
      meta: {
        hidden: true,
        sort: 0,
        title: '个人中心',
        breadcrumb: false,
      },
      redirect: { name: 'jsd_personal_wddz' },
      children: [
        {
          path: 'wddz',
          component: () => import('@/pages/jsd/wddz/index.vue'),
          name: 'jsd_personal_wddz',
          meta: {
            hidden: false,
            sort: 0,
            title: '我的点赞',
            breadcrumb: false,
          }
        }
      ]
    }
  ]
}
