import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
  path: '/jsd',
  component: () => import('@/components/CommonHeader/index.vue'),
  name: 'jsd_wdjf_head',
  meta: {
    hidden: true,
    sort: 3,
    title: '教师端',
    breadcrumb: false,
  },
  redirect: { name: 'jsd_personal_wdjf_index' },
  children: [
    {
      path: 'jsd_person',
      component: () => import('@/pages/jsd/personal/index.vue'),
      name: 'jsd_personal_wdjf_index',
      meta: {
        hidden: true,
        sort: 0,
        title: '个人中心',
        breadcrumb: false,
      },
      redirect: { name: 'jsd_personal_wdjf' },
      children: [
        {
          path: 'wdjf',
          component: () => import('@/pages/jsd/wdjf/index.vue'),
          name: 'jsd_personal_wdjf',
          meta: {
            hidden: false,
            sort: 0,
            title: '我的积分',
            breadcrumb: false,
          },
        }
      ]
    }
  ]
}