import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
  path: '/jsd',
  component: () => import('@/components/CommonHeader/index.vue'),
  name: 'jsd_wdkc_head',
  meta: {
    hidden: true,
    sort: 0,
    title: '教师端',
    breadcrumb: false,
  },
  redirect: { name: 'jsd_personal_wdkc_index' },
  children: [
    {
      path: 'person',
      component: () => import('@/pages/jsd/personal/index.vue'),
      name: 'jsd_personal_wdkc_index',
      meta: {
        hidden: true,
        sort: 0,
        title: '个人中心',
        breadcrumb: false,
      },
      redirect: { name: 'jsd_personal_wdkc' },
      children: [
        {
          path: 'wdkc',
          name: 'jsd_personal_wdkc',
          component: () => import('@/pages/jsd/wdkc/index.vue'),
          meta: {
            hidden: false,
            sort: 0,
            title: '我的课程',
            breadcrumb: false,
          },
        },
        {
          path: '/person/jsd/wdkc/tskc',
          component: () => import('@/pages/jsd/wdkc/tskc/index.vue'),
          name: 'jsd_personal_wdkc_tskc',
          meta: {
            hidden: true,
            sort: 0,
            title: '特色课程',
            breadcrumb: false,
          },
        },
        {
          path: '/person/jsd/wdkc/tskc/chapter/:ttk_id',
          component: () => import('@/pages/jsd/wdkc/tskc/chapter.vue'),
          name: 'jsd_personal_wdkc_tskc_chapter',
          meta: {
            hidden: true,
            sort: 0,
            title: '课程章节',
            breadcrumb: false,
          },
        },
        {
          path: '/person/jsd/wdkc/tskc/detail/:ttk_id/:ttz_id',
          component: () => import('@/pages/jsd/wdkc/tskc/detail.vue'),
          name: 'jsd_personal_wdkc_tskc_detail',
          meta: {
            hidden: true,
            sort: 0,
            title: '课程详情',
            breadcrumb: false,
          },
        },
        {
          path: 'jtjy',
          component: () => import('@/pages/jsd/wdkc/jtjy/index.vue'),
          name: 'jsd_personal_wdkc_jtjy',
          meta: {
            hidden: true,
            sort: 0,
            title: '家庭教育',
            breadcrumb: false,
          },
        },
        {
          path: '/person/jsd/wdkc/jtjy/chapter/:tjk_id',
          component: () => import('@/pages/jsd/wdkc/jtjy/chapter.vue'),
          name: 'jsd_personal_wdkc_jtjy_chapter',
          meta: {
            hidden: true,
            sort: 0,
            title: '课程章节',
            breadcrumb: false,
          },
        },
        {
          path: '/person/jsd/wdkc/jtjy/detail/:tjk_id/:tjz_id',
          component: () => import('@/pages/jsd/wdkc/jtjy/detail.vue'),
          name: 'jsd_personal_wdkc_jtjy_detail',
          meta: {
            hidden: true,
            sort: 0,
            title: '课程详情',
            breadcrumb: false,
          },
        },
        {
          path: 'mszy',
          component: () => import('@/pages/jsd/wdkc/mszy/index.vue'),
          name: 'jsd_personal_wdkc_mszy',
          meta: {
            hidden: true,
            sort: 0,
            title: '名师资源',
            breadcrumb: false,
          },
        },
        {
          path: '/person/jsd/wdkc/mszy/chapter/:tmk_id',
          component: () => import('@/pages/jsd/wdkc/mszy/chapter.vue'),
          name: 'jsd_personal_wdkc_mszy_chapter',
          meta: {
            hidden: true,
            sort: 0,
            title: '课程章节',
            breadcrumb: false,
          },
        },
        {
          path: '/person/jsd/wdkc/mszy/detail/:tmk_id/:tmz_id',
          component: () => import('@/pages/jsd/wdkc/mszy/detail.vue'),
          name: 'jsd_personal_wdkc_mszy_detail',
          meta: {
            hidden: true,
            sort: 0,
            title: '课程详情',
            breadcrumb: false,
          },
        },
        {
          path: 'zbkc',
          component: () => import('@/pages/jsd/wdkc/zbkc/index.vue'),
          name: 'jsd_personal_wdkc_zbkc',
          meta: {
            hidden: true,
            sort: 0,
            title: '直播课程',
            breadcrumb: false,
          },
        },
        {
          path: '/person/jsd/wdkc/zbkc/chapter/:tz_id',
          component: () => import('@/pages/jsd/wdkc/zbkc/chapter.vue'),
          name: 'jsd_personal_wdkc_zbkc_chapter',
          meta: {
            hidden: true,
            sort: 0,
            title: '课程章节',
            breadcrumb: false,
          },
        },
        {
          path: '/person/jsd/wdkc/zbkc/live/:tz_id/:tzk_id',
          component: () => import('@/pages/jsd/wdkc/zbkc/live.vue'),
          name: 'jsd_personal_wdkc_zbkc_live',
          meta: {
            hidden: true,
            sort: 0,
            title: '课程详情_直播',
            breadcrumb: false,
          },
        },
        {
          path: '/person/jsd/wdkc/zbkc/detail/:tz_id/:tzk_id',
          component: () => import('@/pages/jsd/wdkc/zbkc/detail.vue'),
          name: 'jsd_personal_wdkc_zbkc_detail',
          meta: {
            hidden: true,
            sort: 0,
            title: '课程详情_回放',
            breadcrumb: false,
          },
        },
        {
          path: 'zyfd',
          component: () => import('@/pages/jsd/wdkc/zyfd/index.vue'),
          name: 'jsd_personal_wdkc_zyfd',
          meta: {
            hidden: true,
            sort: 0,
            title: '作业辅导',
            breadcrumb: false,
          },
        },
        {
          path: '/person/jsd/wdkc/zyfd/detail/:tz_id',
          component: () => import('@/pages/jsd/wdkc/zyfd/detail.vue'),
          name: 'jsd_personal_wdkc_zyfd_detail',
          meta: {
            hidden: true,
            sort: 0,
            title: '课程详情',
            breadcrumb: false,
          },
        },
      ],
    },
    {
      path: 'person/xgmm',
      component: () => import('@/pages/jsd/personal/change_pwd.vue'),
      name: 'jsd_personal_xgmm',
      meta: {
        hidden: true,
        sort: 0,
        title: '修改密码',
        breadcrumb: false,
      },
    },
    {
      path: 'person/set',
      component: () => import('@/pages/jsd/personal/toSet.vue'),
      name: 'jsd_personal_set',
      meta: {
        hidden: true,
        sort: 0,
        title: '设置',
        breadcrumb: false,
      },
    },
  ],
}
