import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
  path: '/jsd',
  component: () => import('@/components/CommonHeader/index.vue'),
  name: 'jsd_zy_head',
  meta: {
    hidden: true,
    sort: 1,
    title: '教师端',
    breadcrumb: false,
  },
  redirect: { name: 'jsd_personal_zy_index' },
  children: [
    {
      path: 'person',
      component: () => import('@/pages/jsd/personal/index.vue'),
      name: 'jsd_personal_zy_index',
      meta: {
        hidden: true,
        sort: 0,
        title: '个人中心',
        breadcrumb: false,
      },
      redirect: { name: 'jsd_personal_zy' },
      children: [
        {
          path: 'zy',
          component: () => import('@/pages/jsd/zy/index.vue'),
          name: 'jsd_personal_zy',
          meta: {
            hidden: false,
            sort: 0,
            title: '作业',
            breadcrumb: false,
          }
        },
        {
          path: 'zbkcDetail/:tz_id',
          component: () => import('@/pages/jsd/zy/zbkcDetail.vue'),
          name: 'jsd_personal_zy_zbkc_detail',
          meta: {
            hidden: true,
            sort: 0,
            title: '作业',
            breadcrumb: false,

          }
        },
        {
          path: 'mszyDetail/:tmk_id',
          component: () => import('@/pages/jsd/zy/mszyDetail.vue'),
          name: 'jsd_personal_zy_mszy_detail',
          meta: {
            hidden: true,
            sort: 0,
            title: '作业',
            breadcrumb: false,
          }
        },
        {
          path: 'zbkcZy/:tzk_id/:i',
          component: () => import('@/pages/jsd/zy/zbkcZy.vue'),
          name: 'jsd_personal_zy_zbkc_detail_zy',
          meta: {
            hidden: true,
            sort: 0,
            title: '作业',
            breadcrumb: false,
          }
        },
        {
          path: 'mszyZy/:tmz_id/:i',
          component: () => import('@/pages/jsd/zy/mszyZy.vue'),
          name: 'jsd_personal_zy_mszy_detail_zy',
          meta: {
            hidden: true,
            sort: 0,
            title: '作业',
            breadcrumb: false,
          }
        }
      ]
    }
  ]
}
