import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
    path: '/home_jtjy',
    component: () => import('@/components/CommonHeader/index.vue'),
    name: 'home_jtjy',
    meta: {
        hidden: true,
        title: '家庭教育',
        sort: 0,
        breadcrumb: false,
    },
    redirect: { name: 'home_jtjy' },
    children: [{
        path: '',
        component: () => import('@/pages/jtjy/index.vue'),
        name: 'home_jtjy_index',
        meta: {
            hidden: true,
            title: '家庭教育',
            sort: 0,
        },
    }, {
        path: 'chapter/:tjk_id',
        component: () => import('@/pages/jtjy/chapter.vue'),
        name: 'home_jtjy_chapter',
        meta: {
            hidden: true,
            title: '家庭教育章节',
            sort: 0,
        },
    }, {
        path: 'detail/:tjk_id/:tjz_id',
        component: () => import('@/pages/jtjy/detail.vue'),
        name: 'home_jtjy_detail',
        meta: {
            hidden: true,
            title: '家庭教育详情',
            sort: 0,
        },
    }]
}
