import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
  path: '/manage/grzx',
  component: () => import('~/layout/app/index.vue'),
  name: 'grzx',
  meta: {
    hidden: false,
    sort: 0,
    title: '个人中心',
    breadcrumb: true,
  },
  redirect: { name: 'grzx_index' },
  children: [
    {
      path: '',
      name: 'grzx_index',
      meta: {
        hidden: true,
        sort: 0,
        title: '基本资料',
        breadcrumb: true,
      },
      redirect: { name: 'grzx_jbzl_index' },
      children: [
        {
          path: '',
          component: () => import('@/pages/manage/grzx/index.vue'),
          name: 'grzx_jbzl_index',
          meta: {
            hidden: true,
            sort: 0,
            title: '个人中心',
          },
          redirect: { name: 'grzx_jbzl' },
          children: [
            {
              path: 'jbzl',
              component: () => import('@/pages/manage/grzx/jbzl.vue'),
              name: 'grzx_jbzl',
              meta: {
                hidden: true,
                sort: 0,
                title: '基本资料',
                selected: "grzx",
              },
            }
          ]
        },
        {
          path: 'xgmm',
          component: () => import('@/pages/manage/grzx/xgmm.vue'),
          name: 'grzx_xgmm',
          meta: {
            hidden: true,
            sort: 0,
            title: '修改密码',
            breadcrumb: true,
            selected: "grzx",
          },
        }
      ]
    },
    {
      path: 'zhxx',
      component: () => import('@/pages/manage/grzx/index.vue'),
      name: 'grzx_zhxx_index',
      meta: {
        hidden: true,
        sort: 0,
        title: '个人中心',
      },
      redirect: { name: 'grzx_zhxx' },
      children: [
        {
          path: '',
          component: () => import('@/pages/manage/grzx/zhxx.vue'),
          name: 'grzx_zhxx',
          meta: {
            hidden: true,
            sort: 0,
            title: '账号信息',
            breadcrumb: true,
            selected: "grzx",
          },
        }
      ]
    },
  ],
}
