import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
  path: '/manage/jtjy',
  component: () => import('~/layout/app/index.vue'),
  name: 'jtjy',
  meta: {
    hidden: false,
    sort: 10,
    title: '家庭教育',
    breadcrumb: true,
  },
  redirect: { name: 'jtjy_index' },
  children: [
    {
      path: '',
      component: () => import('@/pages/manage/jtjy/index.vue'),
      name: 'jtjy_index',
      meta: {
        hidden: true,
        sort: 0,
        title: '家庭教育',
        breadcrumb: false,
        selected: "jtjy"
      }
    },
    {
      path: 'add',
      component: () => import('@/pages/manage/jtjy/AddAndEdit.vue'),
      name: 'jtjy_add',
      meta: {
        hidden: true,
        sort: 0,
        title: '新增/编辑',
        breadcrumb: true,
        selected: "jtjy",
      }
    },
    {
      path: 'edit/:id',
      component: () => import('@/pages/manage/jtjy/AddAndEdit.vue'),
      name: 'jtjy_edit',
      meta: {
        hidden: true,
        sort: 0,
        title: '新增/编辑',
        breadcrumb: true,
        selected: "jtjy",
      }
    },
    {
      path: 'chapter/:id',
      component: () => import('@/pages/manage/jtjy/chapter.vue'),
      name: 'jtjy_chapter',
      meta: {
        hidden: true,
        sort: 0,
        title: "课程章节",
        breadcrumb: true,
        selected: "jtjy",
        back: true,
      }
    },
    {
      path: 'addChapter/:kcId',
      component: () => import('@/pages/manage/jtjy/ChapterAddAndEdit.vue'),
      name: 'jtjy_addChapter',
      meta: {
        hidden: true,
        sort: 0,
        title: '课程章节新增/编辑',
        breadcrumb: true,
        selected: "jtjy",
      }
    },
    {
      path: 'editChapter/:kcId/:id',
      component: () => import('@/pages/manage/jtjy/ChapterAddAndEdit.vue'),
      name: 'jtjy_editChapter',
      meta: {
        hidden: true,
        sort: 0,
        title: '课程章节新增/编辑',
        breadcrumb: true,
        selected: "jtjy",
      }
    },
    {
      path: 'team/:id',
      component: () => import('@/pages/manage/jtjy/team.vue'),
      name: 'jtjy_team',
      meta: {
        hidden: true,
        sort: 0,
        title: "团队",
        breadcrumb: true,
        selected: "jtjy",
        back: true,
      }
    },
    {
      path: 'detail/:id',
      component: () => import('@/pages/manage/jtjy/detail.vue'),
      name: 'jtjy_detail',
      meta: {
        hidden: true,
        sort: 0,
        title: "详情",
        breadcrumb: true,
        selected: "jtjy",
        back: true,
      }
    },
  ]
}
