import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
  path: '/manage/mszygl',
  component: () => import('~/layout/app/index.vue'),
  name: 'mszygl',
  meta: {
    hidden: false,
    sort: 4,
    title: '名师资源管理',
    breadcrumb: true,
  },
  redirect: { name: 'mszygl_mszy' },
  children: [
    {
      path: 'mszy',
      name: 'mszygl_mszy',
      meta: {
        hidden: false,
        sort: 0,
        title: '名师资源',
        breadcrumb: true,
      },
      redirect: { name: "mszygl_mszy_index" },
      children: [
        {
          path: '',
          component: () => import('@/pages/manage/mszygl/mszy/index.vue'),
          name: 'mszygl_mszy_index',
          meta: {
            hidden: true,
            sort: 0,
            title: '名师资源',
            selected: "mszygl_mszy",
          },
        },
        {
          path: 'team/:id',
          component: () => import('@/pages/manage/mszygl/mszy/team.vue'),
          name: 'mszygl_mszy_team',
          meta: {
            hidden: true,
            sort: 0,
            title: "团队",
            breadcrumb: true,
            selected: "mszygl_mszy",
            back: true,
          },
        },
        {
          path: 'course',
          component: () => import('@/pages/manage/mszygl/mszy/course.vue'),
          name: 'mszygl_mszy_course_add',
          meta: {
            hidden: true,
            sort: 0,
            title: '新增课程',
            breadcrumb: true,
            selected: "mszygl_mszy",
            back: true,
          },
        },
        {
          path: 'course/:id',
          component: () => import('@/pages/manage/mszygl/mszy/course.vue'),
          name: 'mszygl_mszy_course_edit',
          meta: {
            hidden: true,
            sort: 0,
            title: '编辑课程',
            breadcrumb: true,
            selected: "mszygl_mszy",
            back: true,
          },
        },
        {
          path: 'chapter/:id',
          component: () => import('@/pages/manage/mszygl/mszy/chapter.vue'),
          name: 'mszygl_mszy_chapter',
          meta: {
            hidden: true,
            sort: 0,
            title: "编辑章节",
            breadcrumb: true,
            selected: "mszygl_mszy",
            back: true,
          },
        },
        {
          path: 'detail/:id',
          component: () => import('@/pages/manage/mszygl/mszy/detail.vue'),
          name: 'mszygl_mszy_detail',
          meta: {
            hidden: true,
            sort: 0,
            title: "详情",
            breadcrumb: true,
            selected: "mszygl_mszy",
            back: true,
          }
        },
        {
          path: 'fileDetail',
          component: () => import('@/pages/manage/mszygl/mszy/file-detail.vue'),
          name: 'mszygl_mszy_fileDetail',
          meta: {
            hidden: true,
            sort: 0,
            title: "详情",
            breadcrumb: true,
            selected: "mszygl_mszy",
            back: true,
          }
        }
      ]
    },
    {
      path: 'mszx',
      name: 'mszygl_mszx',
      meta: {
        hidden: false,
        sort: 1,
        title: '名师在线',
        breadcrumb: true,
      },
      redirect: { name: "mszygl_mszx_index" },
      children: [
        {
          path: '',
          component: () => import('@/pages/manage/mszygl/mszx/index.vue'),
          name: 'mszygl_mszx_index',
          meta: {
            hidden: true,
            sort: 0,
            title: '名师在线',
            selected: "mszygl_mszx",
          },
        },
        {
          path: 'team/:id',
          component: () => import('@/pages/manage/mszygl/mszy/team.vue'),
          name: 'mszygl_mszx_team',
          meta: {
            hidden: true,
            sort: 0,
            title: "团队",
            breadcrumb: true,
            selected: "mszygl_mszx",
            back: true,
          },
        },
        {
          path: 'detail/:id',
          component: () => import('@/pages/manage/mszygl/mszy/detail.vue'),
          name: 'mszygl_mszx_detail',
          meta: {
            hidden: true,
            sort: 0,
            title: "详情",
            breadcrumb: true,
            selected: "mszygl_mszx",
            back: true,
          }
        },
        {
          path: 'fileDetail',
          component: () => import('@/pages/manage/mszygl/mszy/file-detail.vue'),
          name: 'mszygl_mszx_fileDetail',
          meta: {
            hidden: true,
            sort: 0,
            title: "详情",
            breadcrumb: true,
            selected: "mszygl_mszx",
            back: true,
          }
        }
      ]
    },
    {
      path: 'tjkc',
      name: 'mszygl_tjkc',
      meta: {
        hidden: false,
        sort: 1,
        title: '推荐课程',
        breadcrumb: true,
      },
      redirect: { name: "mszygl_tjkc_index" },
      children: [
        {
          path: '',
          component: () => import('@/pages/manage/mszygl/tjkc/index.vue'),
          name: 'mszygl_tjkc_index',
          meta: {
            hidden: true,
            sort: 0,
            title: '推荐课程',
            selected: "mszygl_tjkc",
          },
        },
        {
          path: 'course',
          component: () => import('@/pages/manage/mszygl/tjkc/course.vue'),
          name: 'mszygl_tjkc_course_add',
          meta: {
            hidden: true,
            sort: 0,
            title: '新增课程',
            breadcrumb: true,
            selected: "mszygl_tjkc",
            back: true,
          },
        },
        {
          path: 'course/:id',
          component: () => import('@/pages/manage/mszygl/tjkc/course.vue'),
          name: 'mszygl_tjkc_course_edit',
          meta: {
            hidden: true,
            sort: 0,
            title: '编辑课程',
            breadcrumb: true,
            selected: "mszygl_tjkc",
            back: true,
          },
        },
        {
          path: 'chapter/:id',
          component: () => import('@/pages/manage/mszygl/tjkc/chapter.vue'),
          name: 'mszygl_tjkc_chapter',
          meta: {
            hidden: true,
            sort: 0,
            title: '章节',
            breadcrumb: true,
            selected: "mszygl_tjkc",
            back: true,
          },
        },
      ]
    }
  ]
}
