
import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
  path: '/manage/tbkt',
  name: 'tbkt',
  props: false,
  meta: {
    hidden: false,
    sort: 5,
    title: '同步课堂',
    breadcrumb: true,
  },
  component: () => import('~/layout/app/index.vue'),
  redirect: {
    name: 'tbkt_index',
  },
  children: [
    {
      path: '',
      component: () => import('~/pages/manage/tbkt/index.vue'),
      name: 'tbkt_index',
      meta: {
        hidden: true,
        sort: 0,
        title: '同步课堂',
        breadcrumb: false,
        selected: "tbkt"
      }
    },
    {
      path: 'video',
      name: 'tbkt_video',
      meta: {
        hidden: true,
        breadcrumb: true,
        sort: 1,
        title: '同步课堂录制',
        selected: "tbkt"
      },
      component: () => import('~/pages/manage/tbkt/video.vue')
    },
  ]

}

