
import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
  path: '/manage/tskc',
  name: 'tskc',
  props: false,
  meta: {
    hidden: false,
    sort: 5,
    title: '特色课程',
    breadcrumb: true,
  },
  component: () => import('~/layout/app/index.vue'),
  redirect: {
    name: 'tskc_index',
  },
  children: [
    {
      path: '',
      name: 'tskc_index',
      meta: {
        hidden: true,
        sort: 1,
        title: '特色课程',
      },
      component: () => import('~/pages/manage/tskc/index.vue')
    },
    {
      path: 'add',
      name: 'tskc_add',
      meta: {
        hidden: true,
        breadcrumb: true,
        sort: 1,
        title: '新增',
      },
      component: () => import('~/pages/manage/tskc/AddOrEdit.vue'),
    },
    {
      path: 'edit/:id',
      name: 'tskc_edit',
      meta: {
        hidden: true,
        breadcrumb: true,
        sort: 1,
        title: '编辑',
      },
      component: () => import('~/pages/manage/tskc/AddOrEdit.vue'),
    },

    {
      path: 'chapter/:id',
      name: 'class_chapter',
      meta: {
        hidden: true,
        breadcrumb: true,
        sort: 1,
        title: '课程章节',
        back: true,
      },
      redirect: { name: 'tskc_chapter' },

      // component: () => import('~/pages/tskc/chapter.vue'),
      children: [
        {
          path: '',
          name: 'tskc_chapter',
          meta: {
            hidden: true,
            breadcrumb: false,
            sort: 1,
            title: '课程章节',
          },
          component: () => import('~/pages/manage/tskc/chapter.vue'),
        },
        {
          path: 'chapter_add',
          name: 'tskc_chapter_add',
          meta: {
            hidden: true,
            breadcrumb: true,
            sort: 1,
            title: '新增',
          },
          component: () => import('~/pages/manage/tskc/chapter_AddOrEdit.vue'),
        },
        {
          path: 'chapter_edit/:zjId',
          name: 'tskc_chapter_edit',
          meta: {
            hidden: true,
            breadcrumb: true,
            sort: 1,
            title: '编辑',
          },
          component: () => import('~/pages/manage/tskc/chapter_AddOrEdit.vue'),
        },
      ],
    },
    {
      path: 'team/:id',
      name: 'tskc_team',
      meta: {
        hidden: true,
        breadcrumb: true,
        sort: 1,
        title: '团队',
        back: true,
      },
      component: () => import('~/pages/manage/tskc/team.vue'),
    },
  ],

}

