
import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
  path: '/manage/xkzy',
  name: 'xkzy',
  props: false,
  meta: {
    hidden: false,
    sort: 5,
    title: '学科资源',
    breadcrumb: true,
  },
  component: () => import('~/layout/app/index.vue'),
  redirect: {
    name: 'xkzy_index',
  },
  children: [
    {
      path: '',
      name: 'xkzy_index',
      meta: {
        hidden: true,

        sort: 1,
        title: '学科资源',
      },
      component: () => import('~/pages/manage/xkzy/index.vue')
    },
    {
      path: 'add',
      name: 'xkzy_add',
      meta: {
        hidden: true,
        breadcrumb: true,
        sort: 1,
        title: '新增',
      },
      component: () => import('~/pages/manage/xkzy/AddOrEdit.vue'),
    },
    {
      path: 'edit/:id',
      name: 'xkzy_edit',
      meta: {
        hidden: true,
        breadcrumb: true,
        sort: 1,
        title: '编辑',
      },
      component: () => import('~/pages/manage/xkzy/AddOrEdit.vue'),
    },
    {
      path: 'detail/:id',
      name: 'xkzy_detail',
      meta: {
        hidden: true,
        breadcrumb: true,
        sort: 5,
        title: '详情',
        back: true,
      },
      component: () => import('~/pages/manage/xkzy/detail.vue'),
    },
  ],

}

