
import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
  path: '/manage/zbkc',
  name: 'zbkc',
  props: false,
  meta: {
    hidden: false,
    sort: 5,
    title: '直播课程',
    breadcrumb: true,
  },
  component: () => import('~/layout/app/index.vue'),
  redirect: {
    name: 'zbkc_index',
  },
  children: [
    {
      path: '',
      name: 'zbkc_index',
      meta: {
        hidden: true,
        sort: 1,
        title: '直播课程',
        selected: "zbkc",
      },
      component: () => import('~/pages/manage/zbkc/index.vue')
    },
    {
      path: 'add',
      name: 'zbkc_add',
      meta: {
        hidden: true,
        breadcrumb: true,
        sort: 1,
        title: '新增/编辑',
        selected: "zbkc",
      },
      component: () => import('~/pages/manage/zbkc/AddOrEdit.vue'),
    },
    {
      path: 'edit/:id',
      name: 'zbkc_edit',
      meta: {
        hidden: true,
        breadcrumb: true,
        sort: 1,
        title: '编辑',
        selected: "zbkc",
      },
      component: () => import('~/pages/manage/zbkc/AddOrEdit.vue'),
    },
    {
      path: 'detail/:id',
      name: 'zbkc_detail',
      meta: {
        hidden: true,
        breadcrumb: true,
        sort: 1,
        title: '详情',
        selected: "zbkc",
        back: true,
      },
      component: () => import('~/pages/manage/zbkc/detail.vue'),
    },
    {
      path: 'course/:id',
      name: 'zbkc_course',
      meta: {
        hidden: true,
        breadcrumb: true,
        sort: 1,
        title: '课时',
        selected: "zbkc",
        back: true,
      },
      component: () => import('~/pages/manage/zbkc/course.vue'),
    }
  ]
}

