// import type { RouteRecordRaw } from 'vue-router'
import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
    path: '/manage/zyfd',
    component: () => import('~/layout/app/index.vue'),
    name: 'zyfd',
    meta: {
        hidden: false,
        sort: 5,
        title: '作业辅导',
        breadcrumb: true,
    },
    redirect: { name: 'zyfd_index' },
    children: [
        {
            path: '',
            component: () => import('@/pages/manage/zyfd/index.vue'),
            name: 'zyfd_index',
            meta: {
                hidden: true,
                sort: 0,
                title: '作业辅导',
            },
        }, {
            path: 'add',
            name: 'zyfd_add',
            meta: {
                hidden: true,
                sort: 0,
                title: '新增',
                breadcrumb:true,
            },
            component: () => import('@/pages/manage/zyfd/AddOrEdit.vue')
        }, {
            path: 'edit/:id',
            name: 'zyfd_edit',
            meta: {
                hidden: true,
                sort: 0,
                title: '编辑',
                breadcrumb:true,
            },
            component: () => import('@/pages/manage/zyfd/AddOrEdit.vue')
        },{
            path: 'detail/:id',
            name: 'zyfd_detail',
            meta: {
                hidden: true,
                sort: 0,
                title: '详情',
                breadcrumb:true,
            },
            component: () => import('@/pages/manage/zyfd/detail.vue')
        }
    ],
}
