import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
    path: '/home_msgzs',
    component: () => import('@/components/CommonHeader/index.vue'),
    name: 'home_msgzs',
    meta: {
        hidden: true,
        title: '名师工作室',
        sort: 0,
        breadcrumb: false,
    },
    redirect: { name: 'home_msgzs' },
    children: [{
        path: '',
        component: () => import('@/pages/msgzs/index.vue'),
        name: 'home_msgzs_index',
        meta: {
            hidden: true,
            title: '名师工作室',
            sort: 0,
        },
    }, {
        path: 'home_msgzs_detail:id',
        component: () => import('@/pages/msgzs/detail.vue'),
        name: 'home_msgzs_detail',
        meta: {
            hidden: true,
            title: '名师工作室详情',
            sort: 0,
        },
    }, {
        path: 'home_msgzs_zx:id/:type',
        component: () => import('@/pages/msgzs/ggzxwz.vue'),
        name: 'home_msgzs_zx',
        meta: {
            hidden: true,
            title: '公告资讯文章',
            sort: 0,
        },
    }, {
        path: 'home_msgzs_yxcg:id',
        component: () => import('@/pages/msgzs/yxcg.vue'),
        name: 'home_msgzs_yxcg',
        meta: {
            hidden: true,
            title: '研修成果',
            sort: 0,
        },
    }, {
        path: 'home_msgzs_jyhd:id',
        component: () => import('@/pages/msgzs/jyhd.vue'),
        name: 'home_msgzs_jyhd',
        meta: {
            hidden: true,
            title: '教研活动',
            sort: 0,
        },
    }, {
        path: 'home_msgzs_gzw:id/:type/:tmg_id',
        component: () => import('@/pages/msgzs/gzwInfo.vue'),
        name: 'home_msgzs_gzw',
        meta: {
            hidden: true,
            title: '公告资讯文章详情',
            sort: 0,
        },
    }, {
        path: 'home_msgzs_jyInfo:id/:tmjh_id',
        component: () => import('@/pages/msgzs/jyInfo.vue'),
        name: 'home_msgzs_jyInfo',
        meta: {
            hidden: true,
            title: '教研活动详情',
            sort: 0,
        },
    }, {
        path: 'home_msgzs_cgInfo:id/:tmy_id',
        component: () => import('@/pages/msgzs/cgInfo.vue'),
        name: 'home_msgzs_cgInfo',
        meta: {
            hidden: true,
            title: '研修成果详情',
            sort: 0,
        },
    }, {
        path: 'home_msgzs_ktyj:id/:tmk_id',
        component: () => import('@/pages/msgzs/ktyjVideo.vue'),
        name: 'home_msgzs_ktyj',
        meta: {
            hidden: true,
            title: '课堂研究详情',
            sort: 0,
        },
    }]
}
