import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
    path: '/home_mszx',
    component: () => import('@/components/CommonHeader/index.vue'),
    name: 'home_mszx',
    meta: {
        hidden: true,
        title: '名师在线',
        sort: 0,
        breadcrumb: false,
    },
    redirect: { name: 'home_mszx' },
    children: [{
        path: '',
        component: () => import('@/pages/mszx/index.vue'),
        name: 'home_mszx_index',
        meta: {
            hidden: true,
            title: '名师在线',
            sort: 0,
        },
    }, {
        path: 'chapter/:tmk_id',
        component: () => import('@/pages/mszx/chapter.vue'),
        name: 'home_mszx_chapter',
        meta: {
            hidden: true,
            title: '名师在线章节',
            sort: 0,
        },
    }, {
        path: 'detail/:tmk_id/:tmz_id',
        component: () => import('@/pages/mszx/detail.vue'),
        name: 'home_mszx_detail',
        meta: {
        hidden: true,
        title: '名师在线详情',
        sort: 0,
    },
    }]
}
