import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
    path: '/home_tjkc',
    component: () => import('@/components/CommonHeader/index.vue'),
    name: 'home_tjkc',
    meta: {
        hidden: true,
        title: '推荐课程',
        sort: 0,
        breadcrumb: false,
    },
    redirect: { name: 'home_tjkc' },
    children: [{
        path: '',
        component: () => import('@/pages/tjkc/index.vue'),
        name: 'home_tjkc_index',
        meta: {
            hidden: true,
            title: '推荐课程',
            sort: 0,
        },
    }, {
        path: 'chapter/:tmk_id',
        component: () => import('@/pages/tjkc/chapter.vue'),
        name: 'home_tjkc_chapter',
        meta: {
            hidden: true,
            title: '推荐课程章节',
            sort: 0,
        },
    }, {
        path: 'detail/:tmk_id/:tmz_id',
        component: () => import('@/pages/tjkc/detail.vue'),
        name: 'home_tjkc_detail',
        meta: {
            hidden: true,
            title: '推荐课程详情',
            sort: 0,
        },
    }]
}
