import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
    path: '/home_tskc',
    component: () => import('@/components/CommonHeader/index.vue'),
    name: 'home_tskc',
    meta: {
        hidden: true,
        title: '特色课程',
        sort: 0,
        breadcrumb: false,
    },
    redirect: { name: 'home_tskc' },
    children: [{
        path: '',
        component: () => import('@/pages/tskc/index.vue'),
        name: 'home_tskc_index',
        meta: {
            hidden: true,
            title: '特色课程',
            sort: 0,
        },
    }, {
        path: 'chapter/:ttk_id',
        component: () => import('@/pages/tskc/chapter.vue'),
        name: 'home_tskc_chapter',
        meta: {
            hidden: true,
            title: '特色课程章节',
            sort: 0,
        },
    }, {
        path: 'detail/:ttk_id/:ttz_id',
        component: () => import('@/pages/tskc/detail.vue'),
        name: 'home_tskc_detail',
        meta: {
            hidden: true,
            title: '特色课程详情',
            sort: 0,
        },
    }]
}
