import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
  path: '/xsd',
  component: () => import('@/components/CommonHeader/index.vue'),
  name: 'xsd_wdbm_head',
  meta: {
    hidden: true,
    sort: 1,
    title: '学生端',
    breadcrumb: false,
  },
  redirect: { name: 'xsd_personal_wdbm_index' },
  children: [
    {
      path: 'xsd_person',
      component: () => import('@/pages/xsd/index.vue'),
      name: 'xsd_personal_wdbm_index',
      meta: {
        hidden: true,
        sort: 0,
        title: '个人中心',
        breadcrumb: false,
      },
      redirect: { name: 'xsd_personal_wdbm' },
      children: [
        {
          path: 'wdbm',
          component: () => import('@/pages/xsd/wdbm/index.vue'),
          name: 'xsd_personal_wdbm',
          meta: {
            hidden: false,
            sort: 0,
            title: '我的报名',
            breadcrumb: false,
          },
        },
        {
          path: 'tjkc_chapter:tmk_id',
          name: 'xsd_personal_wdbm_tjkc_chapter',
          component: () => import('@/pages/xsd/wdbm/chapter.vue'),
          meta: {
            hidden: true,
            sort: 0,
            title: '课程章节',
            breadcrumb: false,
          },
        },
        {
          path: 'jtjy_chapter:tjk_id',
          name: 'xsd_personal_wdbm_jtjy_chapter',
          component: () => import('@/pages/xsd/wdbm/chapter.vue'),
          meta: {
            hidden: true,
            sort: 0,
            title: '课程章节',
            breadcrumb: false,
          },
        },
      ]
    },
    {
      path: 'xsd_person/setting',
      component: () => import('@/pages/xsd/setting.vue'),
      name: 'xsd_personal_setting',
      meta: {
        hidden: true,
        sort: 0,
        title: '设置',
        breadcrumb: false,
      }
    },
  ]
}