import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
    path: '/xsd',
    component: () => import('@/components/CommonHeader/index.vue'),
    name: 'xsd_wddz_head',
    meta: {
        hidden: true,
        sort: 1,
        title: '学生端',
        breadcrumb: false,
    },
    redirect: { name: 'xsd_personal_wddz_index' },
    children: [
        {
            path: 'xsd_person',
            component: () => import('@/pages/xsd/index.vue'),
            name: 'xsd_personal_wddz_index',
            meta: {
                hidden: true,
                sort: 0,
                title: '个人中心',
                breadcrumb: false,
            },
            redirect: { name: 'xsd_personal_wddz' },
            children: [
                {
                    path: 'wddz',
                    component: () => import('@/pages/xsd/wddz/index.vue'),
                    name: 'xsd_personal_wddz',
                    meta: {
                        hidden: false,
                        sort: 0,
                        title: '我的点赞',
                        breadcrumb: false,
                    },
                },
                {
                    path: 'wddz_detail:id',
                    component: () => import('@/pages/xsd/wddz/detail.vue'),
                    name: 'xsd_personal_wddz_detail',
                    meta: {
                        hidden: true,
                        sort: 0,
                        title: '试卷详情',
                        breadcrumb: false,
                    },
                },
            ]
        }
    ]
}