import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
    path: '/xsd',
    component: () => import('@/components/CommonHeader/index.vue'),
    name: 'xsd_wdjf_head',
    meta: {
        hidden: true,
        sort: 1,
        title: '学生端',
        breadcrumb: false,
    },
    redirect: { name: 'xsd_personal_wdjf_index' },
    children: [
        {
            path: 'xsd_person',
            component: () => import('@/pages/xsd/index.vue'),
            name: 'xsd_personal_wdjf_index',
            meta: {
                hidden: true,
                sort: 0,
                title: '个人中心',
                breadcrumb: false,
            },
            redirect: { name: 'xsd_personal_wdjf' },
            children: [
                {
                    path: 'wdjf',
                    component: () => import('@/pages/xsd/wdjf/index.vue'),
                    name: 'xsd_personal_wdjf',
                    meta: {
                        hidden: false,
                        sort: 0,
                        title: '我的积分',
                        breadcrumb: false,
                    },
                }
            ]
        }
    ]
}