import type { RouteRecordRawWithMeta } from '../../routes'

export default <RouteRecordRawWithMeta>{
    path: '/home_zbkc',
    component: () => import('@/components/CommonHeader/index.vue'),
    name: 'home_zbkc',
    meta: {
        hidden: true,
        title: '直播课程',
        sort: 0,
        breadcrumb: false,
    },
    redirect: { name: 'home_zbkc' },
    children: [{
        path: '',
        component: () => import('@/pages/zbkc/index.vue'),
        name: 'home_zbkc_index',
        meta: {
            hidden: true,
            title: '直播课程',
            sort: 0,
        },
    },
    {
        path: 'home_zbkc_chapter/:tz_id',
        component: () => import('@/pages/zbkc/chapter.vue'),
        name: 'home_zbkc_chapter',
        meta: {
            hidden: true,
            title: '直播课程章节',
            sort: 0,
        },
    }, {
        path: 'home_zbkc_detail/:tz_id/:tzk_id',
        component: () => import('@/pages/zbkc/detail.vue'),
        name: 'home_zbkc_detail',
        meta: {
            hidden: true,
            title: '直播课程章节详情',
            sort: 0,
        },
    }, {
        path: 'home_zbkc_isLive/:tz_id/:tzk_id',
        component: () => import('@/pages/zbkc/detailIsLive.vue'),
        name: 'home_zbkc_isLive',
        meta: {
            hidden: true,
            title: '直播课程章节详情',
            sort: 0,
        },
    }
    ]
}
